%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		unshield
Version:	1.4
Release:	%mkrel 1
Summary:	Install InstallShield applications on a Pocket PC
Group:		File tools
License:	MIT
URL:		http://synce.sourceforge.net/
Source0:	https://github.com/twogood/unshield/archive/%{version}/unshield-%{version}.tar.gz
# From upstream:
Patch0050:	0001-revert-SOVERSION-back-to-0-and-library-version-to-000.patch
# Originally from openSUSE:
Patch0100:	libconvert_utf_static.patch
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
BuildRequires:	cmake

%description
To install a Pocket PC application remotely, an installable
Microsoft Cabinet File is copied to the /Windows/AppMgr/Install
directory on the PDA and then the wceload.exe is executed to
perform the actual install. That is a very simple procedure.

Unfortunately, many applications for Pocket PC are distributed as
InstallShield installers for Microsoft Windows, and not as
individual Microsoft Cabinet Files. That is very impractical for
users of other operating systems, such as Linux or FreeBSD.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contaisn the development files and headers for %{name}.

%prep
%setup -q
%apply_patches

%build
%cmake
%make_build

%install
%make_install -C build

find %{buildroot} -name "*.la" -delete

%files
%doc README.md
%license LICENSE
%{_bindir}/unshield
%{_mandir}/man1/unshield.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{devname}
%{_libdir}/lib%{name}.so
%{_includedir}/lib%{name}.h
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Sat Jan 07 2017 wally <wally> 1.4-1.mga6
+ Revision: 1080527
- new version 1.4

* Tue Jul 05 2016 pterjan <pterjan> 1.3-3.mga6
+ Revision: 1038958
- Fix patch100 to use -fPIC on the lib it makes static but is used to build a shared one later

* Fri Feb 12 2016 umeabot <umeabot> 1.3-2.mga6
+ Revision: 959092
- Mageia 6 Mass Rebuild

* Sun Jan 03 2016 wally <wally> 1.3-1.mga6
+ Revision: 919055
- new version 1.3
- add patch from upstream to fix build
- add patch from openSUSE to statically link internal libconvert_utf

* Wed Oct 15 2014 umeabot <umeabot> 1.0-4.mga5
+ Revision: 751096
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-3.mga5
+ Revision: 690063
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.0-2.mga4
+ Revision: 536934
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 wally <wally> 1.0-1.mga4
+ Revision: 485958
- new version 1.0

* Wed Sep 11 2013 wally <wally> 0.6-1.mga4
+ Revision: 477744
- clean and mageiafy .spec
- imported package unshield

